import java.awt.*;
import javax.swing.*;

import java.awt.event.*;

public class Circle1 extends JFrame {


  public Circle1(String caption) {
    setDefaultCloseOperation( JFrame.EXIT_ON_CLOSE );
    setTitle(caption);
    this.getContentPane().add( new CCanvas(), 
       BorderLayout.CENTER );
  }





    public static void main(String args[]) {
      Circle1 f = new Circle1("Circle1");
     	f.setSize(700,500);
    	f.setVisible(true);
    }


}



class CCanvas extends Canvas {

   // Zeichnen von Kreisen mit einem gemeinsamen Mittelpunkt
   // Leider nicht korrekt
  public void paint (Graphics g)
  {
    int x, y;  // Mittelpunkt
    int w, h;  // Breite Höhe

    x = 80;
    y = 80;
    for (int i=0; i<10; i++) {
      w = (int) (  400*Math.random() );
      h = w;
      g.drawOval(x,y,w,h);
    }
  }


}


